#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPseudoElement = 1138,
  CSSRule = 1155,
  CSSRuleList = 1163,
  CSSStyleDeclaration = 1175,
  CSSStyleRule = 1195,
  CSSStyleSheet = 1208,
  CSSSupportsRule = 1222,
  CSSTransition = 1238,
  Cache = 1252,
  CacheStorage = 1258,
  CallbackDebuggerNotification = 1271,
  CanonicalBrowsingContext = 1300,
  CanvasCaptureMediaStream = 1325,
  CanvasGradient = 1350,
  CanvasPattern = 1365,
  CanvasRenderingContext2D = 1379,
  CaretPosition = 1404,
  CaretStateChangedEvent = 1418,
  ChannelMergerNode = 1441,
  ChannelSplitterNode = 1459,
  ChannelWrapper = 1479,
  CharacterData = 1494,
  CheckerboardReportService = 1508,
  ChildProcessMessageManager = 1534,
  ChildSHistory = 1561,
  ChromeMessageBroadcaster = 1575,
  ChromeMessageSender = 1600,
  ChromeNodeList = 1620,
  ChromeUtils = 1635,
  ChromeWorker = 1647,
  Client = 1660,
  Clients = 1667,
  Clipboard = 1675,
  ClipboardEvent = 1685,
  ClipboardItem = 1700,
  ClonedErrorHolder = 1714,
  CloseEvent = 1732,
  CommandEvent = 1743,
  Comment = 1756,
  CompositionEvent = 1764,
  CompressionStream = 1781,
  ConsoleInstance = 1799,
  ConstantSourceNode = 1815,
  ContentFrameMessageManager = 1834,
  ContentProcessMessageManager = 1861,
  ContentVisibilityAutoStateChangeEvent = 1890,
  ConvolverNode = 1928,
  CountQueuingStrategy = 1942,
  CreateOfferRequest = 1963,
  Credential = 1982,
  CredentialsContainer = 1993,
  Crypto = 2014,
  CryptoKey = 2021,
  CustomElementRegistry = 2031,
  CustomEvent = 2053,
  DOMException = 2065,
  DOMImplementation = 2078,
  DOMLocalization = 2096,
  DOMMatrix = 2112,
  DOMMatrixReadOnly = 2122,
  DOMParser = 2140,
  DOMPoint = 2150,
  DOMPointReadOnly = 2159,
  DOMQuad = 2176,
  DOMRect = 2184,
  DOMRectList = 2192,
  DOMRectReadOnly = 2204,
  DOMRequest = 2220,
  DOMStringList = 2231,
  DOMStringMap = 2245,
  DOMTokenList = 2258,
  DataTransfer = 2271,
  DataTransferItem = 2284,
  DataTransferItemList = 2301,
  DebuggerNotification = 2322,
  DebuggerNotificationObserver = 2343,
  DecompressionStream = 2372,
  DedicatedWorkerGlobalScope = 2392,
  DelayNode = 2419,
  DeprecationReportBody = 2429,
  DeviceAcceleration = 2451,
  DeviceLightEvent = 2470,
  DeviceMotionEvent = 2487,
  DeviceOrientationEvent = 2505,
  DeviceRotationRate = 2528,
  Directory = 2547,
  Document = 2557,
  DocumentFragment = 2566,
  DocumentL10n = 2583,
  DocumentTimeline = 2596,
  DocumentType = 2613,
  DominatorTree = 2626,
  DragEvent = 2640,
  DynamicsCompressorNode = 2650,
  EXT_blend_minmax = 2673,
  EXT_color_buffer_float = 2690,
  EXT_color_buffer_half_float = 2713,
  EXT_disjoint_timer_query = 2741,
  EXT_float_blend = 2766,
  EXT_frag_depth = 2782,
  EXT_sRGB = 2797,
  EXT_shader_texture_lod = 2806,
  EXT_texture_compression_bptc = 2829,
  EXT_texture_compression_rgtc = 2858,
  EXT_texture_filter_anisotropic = 2887,
  EXT_texture_norm16 = 2918,
  Element = 2937,
  ElementInternals = 2945,
  ErrorEvent = 2962,
  Event = 2973,
  EventCallbackDebuggerNotification = 2979,
  EventCounts = 3013,
  EventSource = 3025,
  EventTarget = 3037,
  Exception = 3049,
  ExtendableEvent = 3059,
  ExtendableMessageEvent = 3075,
  ExtensionAlarms = 3098,
  ExtensionBrowser = 3114,
  ExtensionBrowserSettings = 3131,
  ExtensionBrowserSettingsColorManagement = 3156,
  ExtensionDns = 3196,
  ExtensionEventManager = 3209,
  ExtensionMockAPI = 3231,
  ExtensionPort = 3248,
  ExtensionProxy = 3262,
  ExtensionRuntime = 3277,
  ExtensionScripting = 3294,
  ExtensionSetting = 3313,
  ExtensionTest = 3330,
  External = 3344,
  FeaturePolicy = 3353,
  FeaturePolicyViolationReportBody = 3367,
  FetchEvent = 3400,
  FetchObserver = 3411,
  File = 3425,
  FileList = 3430,
  FileReader = 3439,
  FileReaderSync = 3450,
  FileSystem = 3465,
  FileSystemDirectoryEntry = 3476,
  FileSystemDirectoryHandle = 3501,
  FileSystemDirectoryHandle_AsyncIterator = 3527,
  FileSystemDirectoryIterator = 3567,
  FileSystemDirectoryReader = 3595,
  FileSystemEntry = 3621,
  FileSystemFileEntry = 3637,
  FileSystemFileHandle = 3657,
  FileSystemHandle = 3678,
  FileSystemSyncAccessHandle = 3695,
  FileSystemWritableFileStream = 3722,
  Flex = 3751,
  FlexItemValues = 3756,
  FlexLineValues = 3771,
  FluentBundle = 3786,
  FluentBundleAsyncIterator = 3799,
  FluentBundleIterator = 3825,
  FluentPattern = 3846,
  FluentResource = 3860,
  FocusEvent = 3875,
  FontFace = 3886,
  FontFaceSet = 3895,
  FontFaceSetIterator = 3907,
  FontFaceSetLoadEvent = 3927,
  FormData = 3948,
  FormData_Iterator = 3957,
  FormDataEvent = 3975,
  FrameCrashedEvent = 3989,
  FrameLoader = 4007,
  GPU = 4019,
  GPUAdapter = 4023,
  GPUAdapterInfo = 4034,
  GPUBindGroup = 4049,
  GPUBindGroupLayout = 4062,
  GPUBuffer = 4081,
  GPUBufferUsage = 4091,
  GPUCanvasContext = 4106,
  GPUColorWrite = 4123,
  GPUCommandBuffer = 4137,
  GPUCommandEncoder = 4154,
  GPUCompilationInfo = 4172,
  GPUCompilationMessage = 4191,
  GPUComputePassEncoder = 4213,
  GPUComputePipeline = 4235,
  GPUDevice = 4254,
  GPUDeviceLostInfo = 4264,
  GPUMapMode = 4282,
  GPUOutOfMemoryError = 4293,
  GPUPipelineLayout = 4313,
  GPUQuerySet = 4331,
  GPUQueue = 4343,
  GPURenderBundle = 4352,
  GPURenderBundleEncoder = 4368,
  GPURenderPassEncoder = 4391,
  GPURenderPipeline = 4412,
  GPUSampler = 4430,
  GPUShaderModule = 4441,
  GPUShaderStage = 4457,
  GPUSupportedFeatures = 4472,
  GPUSupportedLimits = 4493,
  GPUTexture = 4512,
  GPUTextureUsage = 4523,
  GPUTextureView = 4539,
  GPUUncapturedErrorEvent = 4554,
  GPUValidationError = 4578,
  GainNode = 4597,
  Gamepad = 4606,
  GamepadAxisMoveEvent = 4614,
  GamepadButton = 4635,
  GamepadButtonEvent = 4649,
  GamepadEvent = 4668,
  GamepadHapticActuator = 4681,
  GamepadLightIndicator = 4703,
  GamepadPose = 4725,
  GamepadServiceTest = 4737,
  GamepadTouch = 4756,
  Geolocation = 4769,
  GeolocationCoordinates = 4781,
  GeolocationPosition = 4804,
  GeolocationPositionError = 4824,
  GetUserMediaRequest = 4849,
  GleanCategory = 4869,
  GleanImpl = 4883,
  GleanLabeled = 4893,
  GleanPingsImpl = 4906,
  Grid = 4921,
  GridArea = 4926,
  GridDimension = 4935,
  GridLine = 4949,
  GridLines = 4958,
  GridTrack = 4968,
  GridTracks = 4978,
  HTMLAllCollection = 4989,
  HTMLAnchorElement = 5007,
  HTMLAreaElement = 5025,
  HTMLAudioElement = 5041,
  HTMLBRElement = 5058,
  HTMLBaseElement = 5072,
  HTMLBodyElement = 5088,
  HTMLButtonElement = 5104,
  HTMLCanvasElement = 5122,
  HTMLCollection = 5140,
  HTMLDListElement = 5155,
  HTMLDataElement = 5172,
  HTMLDataListElement = 5188,
  HTMLDetailsElement = 5208,
  HTMLDialogElement = 5227,
  HTMLDirectoryElement = 5245,
  HTMLDivElement = 5266,
  HTMLDocument = 5281,
  HTMLElement = 5294,
  HTMLEmbedElement = 5306,
  HTMLFieldSetElement = 5323,
  HTMLFontElement = 5343,
  HTMLFormControlsCollection = 5359,
  HTMLFormElement = 5386,
  HTMLFrameElement = 5402,
  HTMLFrameSetElement = 5419,
  HTMLHRElement = 5439,
  HTMLHeadElement = 5453,
  HTMLHeadingElement = 5469,
  HTMLHtmlElement = 5488,
  HTMLIFrameElement = 5504,
  HTMLImageElement = 5522,
  HTMLInputElement = 5539,
  HTMLLIElement = 5556,
  HTMLLabelElement = 5570,
  HTMLLegendElement = 5587,
  HTMLLinkElement = 5605,
  HTMLMapElement = 5621,
  HTMLMarqueeElement = 5636,
  HTMLMediaElement = 5655,
  HTMLMenuElement = 5672,
  HTMLMetaElement = 5688,
  HTMLMeterElement = 5704,
  HTMLModElement = 5721,
  HTMLOListElement = 5736,
  HTMLObjectElement = 5753,
  HTMLOptGroupElement = 5771,
  HTMLOptionElement = 5791,
  HTMLOptionsCollection = 5809,
  HTMLOutputElement = 5831,
  HTMLParagraphElement = 5849,
  HTMLParamElement = 5870,
  HTMLPictureElement = 5887,
  HTMLPreElement = 5906,
  HTMLProgressElement = 5921,
  HTMLQuoteElement = 5941,
  HTMLScriptElement = 5958,
  HTMLSelectElement = 5976,
  HTMLSlotElement = 5994,
  HTMLSourceElement = 6010,
  HTMLSpanElement = 6028,
  HTMLStyleElement = 6044,
  HTMLTableCaptionElement = 6061,
  HTMLTableCellElement = 6085,
  HTMLTableColElement = 6106,
  HTMLTableElement = 6126,
  HTMLTableRowElement = 6143,
  HTMLTableSectionElement = 6163,
  HTMLTemplateElement = 6187,
  HTMLTextAreaElement = 6207,
  HTMLTimeElement = 6227,
  HTMLTitleElement = 6243,
  HTMLTrackElement = 6260,
  HTMLUListElement = 6277,
  HTMLUnknownElement = 6294,
  HTMLVideoElement = 6313,
  HashChangeEvent = 6330,
  Headers = 6346,
  Headers_Iterator = 6354,
  HeapSnapshot = 6371,
  Highlight = 6384,
  HighlightRegistry = 6394,
  History = 6412,
  IDBCursor = 6420,
  IDBCursorWithValue = 6430,
  IDBDatabase = 6449,
  IDBFactory = 6461,
  IDBIndex = 6472,
  IDBKeyRange = 6481,
  IDBLocaleAwareKeyRange = 6493,
  IDBObjectStore = 6516,
  IDBOpenDBRequest = 6531,
  IDBRequest = 6548,
  IDBTransaction = 6559,
  IDBVersionChangeEvent = 6574,
  IIRFilterNode = 6596,
  IOUtils = 6610,
  IdentityCredential = 6618,
  IdleDeadline = 6637,
  Image = 6650,
  ImageBitmap = 6656,
  ImageBitmapRenderingContext = 6668,
  ImageCapture = 6696,
  ImageCaptureError = 6709,
  ImageCaptureErrorEvent = 6727,
  ImageData = 6750,
  ImageDocument = 6760,
  InputEvent = 6774,
  InspectorFontFace = 6785,
  InspectorUtils = 6803,
  InstallTriggerImpl = 6818,
  IntersectionObserver = 6837,
  IntersectionObserverEntry = 6858,
  IntlUtils = 6884,
  JSProcessActorChild = 6894,
  JSProcessActorParent = 6914,
  JSWindowActorChild = 6935,
  JSWindowActorParent = 6954,
  KeyEvent = 6974,
  KeyboardEvent = 6983,
  KeyframeEffect = 6997,
  L10nFileSource = 7012,
  L10nOverlays = 7027,
  L10nRegistry = 7040,
  LargestContentfulPaint = 7053,
  LegacyMozTCPSocket = 7076,
  Localization = 7095,
  Location = 7108,
  Lock = 7117,
  LockManager = 7122,
  MIDIAccess = 7134,
  MIDIConnectionEvent = 7145,
  MIDIInput = 7165,
  MIDIInputMap = 7175,
  MIDIMessageEvent = 7188,
  MIDIOutput = 7205,
  MIDIOutputMap = 7216,
  MIDIPort = 7230,
  MOZ_debug = 7239,
  MatchGlob = 7249,
  MatchPattern = 7259,
  MatchPatternSet = 7272,
  MathMLElement = 7288,
  MediaCapabilities = 7302,
  MediaCapabilitiesInfo = 7320,
  MediaControlService = 7342,
  MediaController = 7362,
  MediaDeviceInfo = 7378,
  MediaDevices = 7394,
  MediaElementAudioSourceNode = 7407,
  MediaEncryptedEvent = 7435,
  MediaError = 7455,
  MediaKeyError = 7466,
  MediaKeyMessageEvent = 7480,
  MediaKeySession = 7501,
  MediaKeyStatusMap = 7517,
  MediaKeyStatusMap_Iterator = 7535,
  MediaKeySystemAccess = 7562,
  MediaKeys = 7583,
  MediaList = 7593,
  MediaMetadata = 7603,
  MediaQueryList = 7617,
  MediaQueryListEvent = 7632,
  MediaRecorder = 7652,
  MediaRecorderErrorEvent = 7666,
  MediaSession = 7690,
  MediaSource = 7703,
  MediaStream = 7715,
  MediaStreamAudioDestinationNode = 7727,
  MediaStreamAudioSourceNode = 7759,
  MediaStreamError = 7786,
  MediaStreamEvent = 7803,
  MediaStreamTrack = 7820,
  MediaStreamTrackAudioSourceNode = 7837,
  MediaStreamTrackEvent = 7869,
  MerchantValidationEvent = 7891,
  MessageBroadcaster = 7915,
  MessageChannel = 7934,
  MessageEvent = 7949,
  MessageListenerManager = 7962,
  MessagePort = 7985,
  MessageSender = 7997,
  MimeType = 8011,
  MimeTypeArray = 8020,
  MouseEvent = 8034,
  MouseScrollEvent = 8045,
  MozCanvasPrintState = 8062,
  MozDocumentMatcher = 8082,
  MozDocumentObserver = 8101,
  MozQueryInterface = 8121,
  MozSharedMap = 8139,
  MozSharedMap_Iterator = 8152,
  MozSharedMapChangeEvent = 8174,
  MozStorageAsyncStatementParams = 8198,
  MozStorageStatementParams = 8229,
  MozStorageStatementRow = 8255,
  MozWritableSharedMap = 8278,
  MutationEvent = 8299,
  MutationObserver = 8313,
  MutationRecord = 8330,
  NamedNodeMap = 8345,
  NavigationPreloadManager = 8358,
  Navigator = 8383,
  NetworkInformation = 8393,
  Node = 8412,
  NodeFilter = 8417,
  NodeIterator = 8428,
  NodeList = 8441,
  Notification = 8450,
  NotificationEvent = 8463,
  NotifyPaintEvent = 8481,
  OES_draw_buffers_indexed = 8498,
  OES_element_index_uint = 8523,
  OES_fbo_render_mipmap = 8546,
  OES_standard_derivatives = 8568,
  OES_texture_float = 8593,
  OES_texture_float_linear = 8611,
  OES_texture_half_float = 8636,
  OES_texture_half_float_linear = 8659,
  OES_vertex_array_object = 8689,
  OVR_multiview2 = 8713,
  OfflineAudioCompletionEvent = 8728,
  OfflineAudioContext = 8756,
  OfflineResourceList = 8776,
  OffscreenCanvas = 8796,
  OffscreenCanvasRenderingContext2D = 8812,
  Option = 8846,
  OscillatorNode = 8853,
  PageTransitionEvent = 8868,
  PaintRequest = 8888,
  PaintRequestList = 8901,
  PaintWorkletGlobalScope = 8918,
  PannerNode = 8942,
  ParentProcessMessageManager = 8953,
  Path2D = 8981,
  PathUtils = 8988,
  PaymentAddress = 8998,
  PaymentMethodChangeEvent = 9013,
  PaymentRequest = 9038,
  PaymentRequestUpdateEvent = 9053,
  PaymentResponse = 9079,
  Performance = 9095,
  PerformanceEntry = 9107,
  PerformanceEntryEvent = 9124,
  PerformanceEventTiming = 9146,
  PerformanceMark = 9169,
  PerformanceMeasure = 9185,
  PerformanceNavigation = 9204,
  PerformanceNavigationTiming = 9226,
  PerformanceObserver = 9254,
  PerformanceObserverEntryList = 9274,
  PerformancePaintTiming = 9303,
  PerformanceResourceTiming = 9326,
  PerformanceServerTiming = 9352,
  PerformanceTiming = 9376,
  PeriodicWave = 9394,
  PermissionStatus = 9407,
  Permissions = 9424,
  PlacesBookmark = 9436,
  PlacesBookmarkAddition = 9451,
  PlacesBookmarkChanged = 9474,
  PlacesBookmarkGuid = 9496,
  PlacesBookmarkKeyword = 9515,
  PlacesBookmarkMoved = 9537,
  PlacesBookmarkRemoved = 9557,
  PlacesBookmarkTags = 9579,
  PlacesBookmarkTime = 9598,
  PlacesBookmarkTitle = 9617,
  PlacesBookmarkUrl = 9637,
  PlacesEvent = 9655,
  PlacesFavicon = 9667,
  PlacesHistoryCleared = 9681,
  PlacesObservers = 9702,
  PlacesPurgeCaches = 9718,
  PlacesRanking = 9736,
  PlacesVisit = 9750,
  PlacesVisitRemoved = 9762,
  PlacesVisitTitle = 9781,
  PlacesWeakCallbackWrapper = 9798,
  Plugin = 9824,
  PluginArray = 9831,
  PluginCrashedEvent = 9843,
  PointerEvent = 9862,
  PopStateEvent = 9875,
  PopupBlockedEvent = 9889,
  PopupPositionedEvent = 9907,
  PositionStateEvent = 9928,
  PrecompiledScript = 9947,
  ProcessMessageManager = 9965,
  ProcessingInstruction = 9987,
  ProgressEvent = 10009,
  PromiseDebugging = 10023,
  PromiseNativeHandler = 10040,
  PromiseRejectionEvent = 10061,
  PublicKeyCredential = 10083,
  PushEvent = 10103,
  PushManager = 10113,
  PushManagerImpl = 10125,
  PushMessageData = 10141,
  PushSubscription = 10157,
  PushSubscriptionOptions = 10174,
  RadioNodeList = 10198,
  Range = 10212,
  ReadableByteStreamController = 10218,
  ReadableStream = 10247,
  ReadableStream_AsyncIterator = 10262,
  ReadableStreamBYOBReader = 10291,
  ReadableStreamBYOBRequest = 10316,
  ReadableStreamDefaultController = 10342,
  ReadableStreamDefaultReader = 10374,
  Report = 10402,
  ReportBody = 10409,
  ReportingObserver = 10420,
  Request = 10438,
  ResizeObserver = 10446,
  ResizeObserverEntry = 10461,
  ResizeObserverSize = 10481,
  Response = 10500,
  SVGAElement = 10509,
  SVGAngle = 10521,
  SVGAnimateElement = 10530,
  SVGAnimateMotionElement = 10548,
  SVGAnimateTransformElement = 10572,
  SVGAnimatedAngle = 10599,
  SVGAnimatedBoolean = 10616,
  SVGAnimatedEnumeration = 10635,
  SVGAnimatedInteger = 10658,
  SVGAnimatedLength = 10677,
  SVGAnimatedLengthList = 10695,
  SVGAnimatedNumber = 10717,
  SVGAnimatedNumberList = 10735,
  SVGAnimatedPreserveAspectRatio = 10757,
  SVGAnimatedRect = 10788,
  SVGAnimatedString = 10804,
  SVGAnimatedTransformList = 10822,
  SVGAnimationElement = 10847,
  SVGCircleElement = 10867,
  SVGClipPathElement = 10884,
  SVGComponentTransferFunctionElement = 10903,
  SVGDefsElement = 10939,
  SVGDescElement = 10954,
  SVGElement = 10969,
  SVGEllipseElement = 10980,
  SVGFEBlendElement = 10998,
  SVGFEColorMatrixElement = 11016,
  SVGFEComponentTransferElement = 11040,
  SVGFECompositeElement = 11070,
  SVGFEConvolveMatrixElement = 11092,
  SVGFEDiffuseLightingElement = 11119,
  SVGFEDisplacementMapElement = 11147,
  SVGFEDistantLightElement = 11175,
  SVGFEDropShadowElement = 11200,
  SVGFEFloodElement = 11223,
  SVGFEFuncAElement = 11241,
  SVGFEFuncBElement = 11259,
  SVGFEFuncGElement = 11277,
  SVGFEFuncRElement = 11295,
  SVGFEGaussianBlurElement = 11313,
  SVGFEImageElement = 11338,
  SVGFEMergeElement = 11356,
  SVGFEMergeNodeElement = 11374,
  SVGFEMorphologyElement = 11396,
  SVGFEOffsetElement = 11419,
  SVGFEPointLightElement = 11438,
  SVGFESpecularLightingElement = 11461,
  SVGFESpotLightElement = 11490,
  SVGFETileElement = 11512,
  SVGFETurbulenceElement = 11529,
  SVGFilterElement = 11552,
  SVGForeignObjectElement = 11569,
  SVGGElement = 11593,
  SVGGeometryElement = 11605,
  SVGGradientElement = 11624,
  SVGGraphicsElement = 11643,
  SVGImageElement = 11662,
  SVGLength = 11678,
  SVGLengthList = 11688,
  SVGLineElement = 11702,
  SVGLinearGradientElement = 11717,
  SVGMPathElement = 11742,
  SVGMarkerElement = 11758,
  SVGMaskElement = 11775,
  SVGMatrix = 11790,
  SVGMetadataElement = 11800,
  SVGNumber = 11819,
  SVGNumberList = 11829,
  SVGPathElement = 11843,
  SVGPathSeg = 11858,
  SVGPathSegArcAbs = 11869,
  SVGPathSegArcRel = 11886,
  SVGPathSegClosePath = 11903,
  SVGPathSegCurvetoCubicAbs = 11923,
  SVGPathSegCurvetoCubicRel = 11949,
  SVGPathSegCurvetoCubicSmoothAbs = 11975,
  SVGPathSegCurvetoCubicSmoothRel = 12007,
  SVGPathSegCurvetoQuadraticAbs = 12039,
  SVGPathSegCurvetoQuadraticRel = 12069,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12099,
  SVGPathSegCurvetoQuadraticSmoothRel = 12135,
  SVGPathSegLinetoAbs = 12171,
  SVGPathSegLinetoHorizontalAbs = 12191,
  SVGPathSegLinetoHorizontalRel = 12221,
  SVGPathSegLinetoRel = 12251,
  SVGPathSegLinetoVerticalAbs = 12271,
  SVGPathSegLinetoVerticalRel = 12299,
  SVGPathSegList = 12327,
  SVGPathSegMovetoAbs = 12342,
  SVGPathSegMovetoRel = 12362,
  SVGPatternElement = 12382,
  SVGPoint = 12400,
  SVGPointList = 12409,
  SVGPolygonElement = 12422,
  SVGPolylineElement = 12440,
  SVGPreserveAspectRatio = 12459,
  SVGRadialGradientElement = 12482,
  SVGRect = 12507,
  SVGRectElement = 12515,
  SVGSVGElement = 12530,
  SVGScriptElement = 12544,
  SVGSetElement = 12561,
  SVGStopElement = 12575,
  SVGStringList = 12590,
  SVGStyleElement = 12604,
  SVGSwitchElement = 12620,
  SVGSymbolElement = 12637,
  SVGTSpanElement = 12654,
  SVGTextContentElement = 12670,
  SVGTextElement = 12692,
  SVGTextPathElement = 12707,
  SVGTextPositioningElement = 12726,
  SVGTitleElement = 12752,
  SVGTransform = 12768,
  SVGTransformList = 12781,
  SVGUnitTypes = 12798,
  SVGUseElement = 12811,
  SVGViewElement = 12825,
  Sanitizer = 12840,
  Scheduler = 12850,
  Screen = 12860,
  ScreenLuminance = 12867,
  ScreenOrientation = 12883,
  ScriptProcessorNode = 12901,
  ScrollAreaEvent = 12921,
  ScrollViewChangeEvent = 12937,
  SecurityPolicyViolationEvent = 12959,
  Selection = 12988,
  ServiceWorker = 12998,
  ServiceWorkerContainer = 13012,
  ServiceWorkerGlobalScope = 13035,
  ServiceWorkerRegistration = 13060,
  SessionStoreFormData = 13086,
  SessionStoreScrollData = 13107,
  SessionStoreUtils = 13130,
  ShadowRealmGlobalScope = 13148,
  ShadowRoot = 13171,
  SharedWorker = 13182,
  SharedWorkerGlobalScope = 13195,
  SimpleGestureEvent = 13219,
  SourceBuffer = 13238,
  SourceBufferList = 13251,
  SpeechGrammar = 13268,
  SpeechGrammarList = 13282,
  SpeechRecognition = 13300,
  SpeechRecognitionAlternative = 13318,
  SpeechRecognitionError = 13347,
  SpeechRecognitionEvent = 13370,
  SpeechRecognitionResult = 13393,
  SpeechRecognitionResultList = 13417,
  SpeechSynthesis = 13445,
  SpeechSynthesisErrorEvent = 13461,
  SpeechSynthesisEvent = 13487,
  SpeechSynthesisUtterance = 13508,
  SpeechSynthesisVoice = 13533,
  StaticRange = 13554,
  StereoPannerNode = 13566,
  Storage = 13583,
  StorageEvent = 13591,
  StorageManager = 13604,
  StreamFilter = 13619,
  StreamFilterDataEvent = 13632,
  StructuredCloneHolder = 13654,
  StructuredCloneTester = 13676,
  StyleSheet = 13698,
  StyleSheetApplicableStateChangeEvent = 13709,
  StyleSheetList = 13746,
  SubmitEvent = 13761,
  SubtleCrypto = 13773,
  SyncMessageSender = 13786,
  SyncReadFile = 13804,
  TCPServerSocket = 13817,
  TCPServerSocketEvent = 13833,
  TCPSocket = 13854,
  TCPSocketErrorEvent = 13864,
  TCPSocketEvent = 13884,
  TaskController = 13899,
  TaskPriorityChangeEvent = 13914,
  TaskSignal = 13938,
  TelemetryStopwatch = 13949,
  TestUtils = 13968,
  TestingDeprecatedInterface = 13978,
  Text = 14005,
  TextClause = 14010,
  TextDecoder = 14021,
  TextDecoderStream = 14033,
  TextEncoder = 14051,
  TextEncoderStream = 14063,
  TextMetrics = 14081,
  TextTrack = 14093,
  TextTrackCue = 14103,
  TextTrackCueList = 14116,
  TextTrackList = 14133,
  TimeEvent = 14147,
  TimeRanges = 14157,
  ToggleEvent = 14168,
  Touch = 14180,
  TouchEvent = 14186,
  TouchList = 14197,
  TrackEvent = 14207,
  TransformStream = 14218,
  TransformStreamDefaultController = 14234,
  TransitionEvent = 14267,
  TreeColumn = 14283,
  TreeColumns = 14294,
  TreeContentView = 14306,
  TreeWalker = 14322,
  UDPMessageEvent = 14333,
  UDPSocket = 14349,
  UIEvent = 14359,
  URL = 14367,
  URLSearchParams = 14371,
  URLSearchParams_Iterator = 14387,
  UniFFIPointer = 14412,
  UniFFIScaffolding = 14426,
  UserInteraction = 14444,
  UserProximityEvent = 14460,
  VRDisplay = 14479,
  VRDisplayCapabilities = 14489,
  VRDisplayEvent = 14511,
  VREyeParameters = 14526,
  VRFieldOfView = 14542,
  VRFrameData = 14556,
  VRMockController = 14568,
  VRMockDisplay = 14585,
  VRPose = 14599,
  VRServiceTest = 14606,
  VRStageParameters = 14620,
  VTTCue = 14638,
  VTTRegion = 14645,
  ValidityState = 14655,
  VideoColorSpace = 14669,
  VideoFrame = 14685,
  VideoPlaybackQuality = 14696,
  VideoTrack = 14717,
  VideoTrackList = 14728,
  VisualViewport = 14743,
  WEBGL_color_buffer_float = 14758,
  WEBGL_compressed_texture_astc = 14783,
  WEBGL_compressed_texture_etc = 14813,
  WEBGL_compressed_texture_etc1 = 14842,
  WEBGL_compressed_texture_pvrtc = 14872,
  WEBGL_compressed_texture_s3tc = 14903,
  WEBGL_compressed_texture_s3tc_srgb = 14933,
  WEBGL_debug_renderer_info = 14968,
  WEBGL_debug_shaders = 14994,
  WEBGL_depth_texture = 15014,
  WEBGL_draw_buffers = 15034,
  WEBGL_explicit_present = 15053,
  WEBGL_lose_context = 15076,
  WEBGL_provoking_vertex = 15095,
  WaveShaperNode = 15118,
  WebExtensionContentScript = 15133,
  WebExtensionPolicy = 15159,
  WebGL2RenderingContext = 15178,
  WebGLActiveInfo = 15201,
  WebGLBuffer = 15217,
  WebGLContextEvent = 15229,
  WebGLFramebuffer = 15247,
  WebGLProgram = 15264,
  WebGLQuery = 15277,
  WebGLRenderbuffer = 15288,
  WebGLRenderingContext = 15306,
  WebGLSampler = 15328,
  WebGLShader = 15341,
  WebGLShaderPrecisionFormat = 15353,
  WebGLSync = 15380,
  WebGLTexture = 15390,
  WebGLTransformFeedback = 15403,
  WebGLUniformLocation = 15426,
  WebGLVertexArrayObject = 15447,
  WebKitCSSMatrix = 15470,
  WebSocket = 15486,
  WebTransport = 15496,
  WebTransportBidirectionalStream = 15509,
  WebTransportDatagramDuplexStream = 15541,
  WebTransportError = 15574,
  WebTransportReceiveStream = 15592,
  WebTransportSendStream = 15618,
  WheelEvent = 15641,
  Window = 15652,
  WindowClient = 15659,
  WindowContext = 15672,
  WindowGlobalChild = 15686,
  WindowGlobalParent = 15704,
  WindowRoot = 15723,
  Worker = 15734,
  WorkerDebuggerGlobalScope = 15741,
  WorkerGlobalScope = 15767,
  WorkerLocation = 15785,
  WorkerNavigator = 15800,
  WorkerTestUtils = 15816,
  Worklet = 15832,
  WorkletGlobalScope = 15840,
  WritableStream = 15859,
  WritableStreamDefaultController = 15874,
  WritableStreamDefaultWriter = 15906,
  XMLDocument = 15934,
  XMLHttpRequest = 15946,
  XMLHttpRequestEventTarget = 15961,
  XMLHttpRequestUpload = 15987,
  XMLSerializer = 16008,
  XPathEvaluator = 16022,
  XPathExpression = 16037,
  XPathResult = 16053,
  XRBoundedReferenceSpace = 16065,
  XRFrame = 16089,
  XRInputSource = 16097,
  XRInputSourceArray = 16111,
  XRInputSourceEvent = 16130,
  XRInputSourcesChangeEvent = 16149,
  XRPose = 16175,
  XRReferenceSpace = 16182,
  XRReferenceSpaceEvent = 16199,
  XRRenderState = 16221,
  XRRigidTransform = 16235,
  XRSession = 16252,
  XRSessionEvent = 16262,
  XRSpace = 16277,
  XRSystem = 16285,
  XRView = 16294,
  XRViewerPose = 16301,
  XRViewport = 16314,
  XRWebGLLayer = 16325,
  XSLTProcessor = 16338,
  XULCommandEvent = 16352,
  XULElement = 16368,
  XULFrameElement = 16379,
  XULMenuElement = 16395,
  XULPopupElement = 16410,
  XULResizerElement = 16426,
  XULTextElement = 16444,
  XULTreeElement = 16459,
  console = 16474,
  webkitSpeechGrammar = 16482,
  webkitSpeechGrammarList = 16502,
  webkitSpeechRecognition = 16526,
  webkitURL = 16550,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
