#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPseudoElement" "\0"
  /*  1155 */ "CSSRule" "\0"
  /*  1163 */ "CSSRuleList" "\0"
  /*  1175 */ "CSSStyleDeclaration" "\0"
  /*  1195 */ "CSSStyleRule" "\0"
  /*  1208 */ "CSSStyleSheet" "\0"
  /*  1222 */ "CSSSupportsRule" "\0"
  /*  1238 */ "CSSTransition" "\0"
  /*  1252 */ "Cache" "\0"
  /*  1258 */ "CacheStorage" "\0"
  /*  1271 */ "CallbackDebuggerNotification" "\0"
  /*  1300 */ "CanonicalBrowsingContext" "\0"
  /*  1325 */ "CanvasCaptureMediaStream" "\0"
  /*  1350 */ "CanvasGradient" "\0"
  /*  1365 */ "CanvasPattern" "\0"
  /*  1379 */ "CanvasRenderingContext2D" "\0"
  /*  1404 */ "CaretPosition" "\0"
  /*  1418 */ "CaretStateChangedEvent" "\0"
  /*  1441 */ "ChannelMergerNode" "\0"
  /*  1459 */ "ChannelSplitterNode" "\0"
  /*  1479 */ "ChannelWrapper" "\0"
  /*  1494 */ "CharacterData" "\0"
  /*  1508 */ "CheckerboardReportService" "\0"
  /*  1534 */ "ChildProcessMessageManager" "\0"
  /*  1561 */ "ChildSHistory" "\0"
  /*  1575 */ "ChromeMessageBroadcaster" "\0"
  /*  1600 */ "ChromeMessageSender" "\0"
  /*  1620 */ "ChromeNodeList" "\0"
  /*  1635 */ "ChromeUtils" "\0"
  /*  1647 */ "ChromeWorker" "\0"
  /*  1660 */ "Client" "\0"
  /*  1667 */ "Clients" "\0"
  /*  1675 */ "Clipboard" "\0"
  /*  1685 */ "ClipboardEvent" "\0"
  /*  1700 */ "ClipboardItem" "\0"
  /*  1714 */ "ClonedErrorHolder" "\0"
  /*  1732 */ "CloseEvent" "\0"
  /*  1743 */ "CommandEvent" "\0"
  /*  1756 */ "Comment" "\0"
  /*  1764 */ "CompositionEvent" "\0"
  /*  1781 */ "CompressionStream" "\0"
  /*  1799 */ "ConsoleInstance" "\0"
  /*  1815 */ "ConstantSourceNode" "\0"
  /*  1834 */ "ContentFrameMessageManager" "\0"
  /*  1861 */ "ContentProcessMessageManager" "\0"
  /*  1890 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1928 */ "ConvolverNode" "\0"
  /*  1942 */ "CountQueuingStrategy" "\0"
  /*  1963 */ "CreateOfferRequest" "\0"
  /*  1982 */ "Credential" "\0"
  /*  1993 */ "CredentialsContainer" "\0"
  /*  2014 */ "Crypto" "\0"
  /*  2021 */ "CryptoKey" "\0"
  /*  2031 */ "CustomElementRegistry" "\0"
  /*  2053 */ "CustomEvent" "\0"
  /*  2065 */ "DOMException" "\0"
  /*  2078 */ "DOMImplementation" "\0"
  /*  2096 */ "DOMLocalization" "\0"
  /*  2112 */ "DOMMatrix" "\0"
  /*  2122 */ "DOMMatrixReadOnly" "\0"
  /*  2140 */ "DOMParser" "\0"
  /*  2150 */ "DOMPoint" "\0"
  /*  2159 */ "DOMPointReadOnly" "\0"
  /*  2176 */ "DOMQuad" "\0"
  /*  2184 */ "DOMRect" "\0"
  /*  2192 */ "DOMRectList" "\0"
  /*  2204 */ "DOMRectReadOnly" "\0"
  /*  2220 */ "DOMRequest" "\0"
  /*  2231 */ "DOMStringList" "\0"
  /*  2245 */ "DOMStringMap" "\0"
  /*  2258 */ "DOMTokenList" "\0"
  /*  2271 */ "DataTransfer" "\0"
  /*  2284 */ "DataTransferItem" "\0"
  /*  2301 */ "DataTransferItemList" "\0"
  /*  2322 */ "DebuggerNotification" "\0"
  /*  2343 */ "DebuggerNotificationObserver" "\0"
  /*  2372 */ "DecompressionStream" "\0"
  /*  2392 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2419 */ "DelayNode" "\0"
  /*  2429 */ "DeprecationReportBody" "\0"
  /*  2451 */ "DeviceAcceleration" "\0"
  /*  2470 */ "DeviceLightEvent" "\0"
  /*  2487 */ "DeviceMotionEvent" "\0"
  /*  2505 */ "DeviceOrientationEvent" "\0"
  /*  2528 */ "DeviceRotationRate" "\0"
  /*  2547 */ "Directory" "\0"
  /*  2557 */ "Document" "\0"
  /*  2566 */ "DocumentFragment" "\0"
  /*  2583 */ "DocumentL10n" "\0"
  /*  2596 */ "DocumentTimeline" "\0"
  /*  2613 */ "DocumentType" "\0"
  /*  2626 */ "DominatorTree" "\0"
  /*  2640 */ "DragEvent" "\0"
  /*  2650 */ "DynamicsCompressorNode" "\0"
  /*  2673 */ "EXT_blend_minmax" "\0"
  /*  2690 */ "EXT_color_buffer_float" "\0"
  /*  2713 */ "EXT_color_buffer_half_float" "\0"
  /*  2741 */ "EXT_disjoint_timer_query" "\0"
  /*  2766 */ "EXT_float_blend" "\0"
  /*  2782 */ "EXT_frag_depth" "\0"
  /*  2797 */ "EXT_sRGB" "\0"
  /*  2806 */ "EXT_shader_texture_lod" "\0"
  /*  2829 */ "EXT_texture_compression_bptc" "\0"
  /*  2858 */ "EXT_texture_compression_rgtc" "\0"
  /*  2887 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2918 */ "EXT_texture_norm16" "\0"
  /*  2937 */ "Element" "\0"
  /*  2945 */ "ElementInternals" "\0"
  /*  2962 */ "ErrorEvent" "\0"
  /*  2973 */ "Event" "\0"
  /*  2979 */ "EventCallbackDebuggerNotification" "\0"
  /*  3013 */ "EventCounts" "\0"
  /*  3025 */ "EventSource" "\0"
  /*  3037 */ "EventTarget" "\0"
  /*  3049 */ "Exception" "\0"
  /*  3059 */ "ExtendableEvent" "\0"
  /*  3075 */ "ExtendableMessageEvent" "\0"
  /*  3098 */ "ExtensionAlarms" "\0"
  /*  3114 */ "ExtensionBrowser" "\0"
  /*  3131 */ "ExtensionBrowserSettings" "\0"
  /*  3156 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3196 */ "ExtensionDns" "\0"
  /*  3209 */ "ExtensionEventManager" "\0"
  /*  3231 */ "ExtensionMockAPI" "\0"
  /*  3248 */ "ExtensionPort" "\0"
  /*  3262 */ "ExtensionProxy" "\0"
  /*  3277 */ "ExtensionRuntime" "\0"
  /*  3294 */ "ExtensionScripting" "\0"
  /*  3313 */ "ExtensionSetting" "\0"
  /*  3330 */ "ExtensionTest" "\0"
  /*  3344 */ "External" "\0"
  /*  3353 */ "FeaturePolicy" "\0"
  /*  3367 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3400 */ "FetchEvent" "\0"
  /*  3411 */ "FetchObserver" "\0"
  /*  3425 */ "File" "\0"
  /*  3430 */ "FileList" "\0"
  /*  3439 */ "FileReader" "\0"
  /*  3450 */ "FileReaderSync" "\0"
  /*  3465 */ "FileSystem" "\0"
  /*  3476 */ "FileSystemDirectoryEntry" "\0"
  /*  3501 */ "FileSystemDirectoryHandle" "\0"
  /*  3527 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3567 */ "FileSystemDirectoryIterator" "\0"
  /*  3595 */ "FileSystemDirectoryReader" "\0"
  /*  3621 */ "FileSystemEntry" "\0"
  /*  3637 */ "FileSystemFileEntry" "\0"
  /*  3657 */ "FileSystemFileHandle" "\0"
  /*  3678 */ "FileSystemHandle" "\0"
  /*  3695 */ "FileSystemSyncAccessHandle" "\0"
  /*  3722 */ "FileSystemWritableFileStream" "\0"
  /*  3751 */ "Flex" "\0"
  /*  3756 */ "FlexItemValues" "\0"
  /*  3771 */ "FlexLineValues" "\0"
  /*  3786 */ "FluentBundle" "\0"
  /*  3799 */ "FluentBundleAsyncIterator" "\0"
  /*  3825 */ "FluentBundleIterator" "\0"
  /*  3846 */ "FluentPattern" "\0"
  /*  3860 */ "FluentResource" "\0"
  /*  3875 */ "FocusEvent" "\0"
  /*  3886 */ "FontFace" "\0"
  /*  3895 */ "FontFaceSet" "\0"
  /*  3907 */ "FontFaceSetIterator" "\0"
  /*  3927 */ "FontFaceSetLoadEvent" "\0"
  /*  3948 */ "FormData" "\0"
  /*  3957 */ "FormData Iterator" "\0"
  /*  3975 */ "FormDataEvent" "\0"
  /*  3989 */ "FrameCrashedEvent" "\0"
  /*  4007 */ "FrameLoader" "\0"
  /*  4019 */ "GPU" "\0"
  /*  4023 */ "GPUAdapter" "\0"
  /*  4034 */ "GPUAdapterInfo" "\0"
  /*  4049 */ "GPUBindGroup" "\0"
  /*  4062 */ "GPUBindGroupLayout" "\0"
  /*  4081 */ "GPUBuffer" "\0"
  /*  4091 */ "GPUBufferUsage" "\0"
  /*  4106 */ "GPUCanvasContext" "\0"
  /*  4123 */ "GPUColorWrite" "\0"
  /*  4137 */ "GPUCommandBuffer" "\0"
  /*  4154 */ "GPUCommandEncoder" "\0"
  /*  4172 */ "GPUCompilationInfo" "\0"
  /*  4191 */ "GPUCompilationMessage" "\0"
  /*  4213 */ "GPUComputePassEncoder" "\0"
  /*  4235 */ "GPUComputePipeline" "\0"
  /*  4254 */ "GPUDevice" "\0"
  /*  4264 */ "GPUDeviceLostInfo" "\0"
  /*  4282 */ "GPUMapMode" "\0"
  /*  4293 */ "GPUOutOfMemoryError" "\0"
  /*  4313 */ "GPUPipelineLayout" "\0"
  /*  4331 */ "GPUQuerySet" "\0"
  /*  4343 */ "GPUQueue" "\0"
  /*  4352 */ "GPURenderBundle" "\0"
  /*  4368 */ "GPURenderBundleEncoder" "\0"
  /*  4391 */ "GPURenderPassEncoder" "\0"
  /*  4412 */ "GPURenderPipeline" "\0"
  /*  4430 */ "GPUSampler" "\0"
  /*  4441 */ "GPUShaderModule" "\0"
  /*  4457 */ "GPUShaderStage" "\0"
  /*  4472 */ "GPUSupportedFeatures" "\0"
  /*  4493 */ "GPUSupportedLimits" "\0"
  /*  4512 */ "GPUTexture" "\0"
  /*  4523 */ "GPUTextureUsage" "\0"
  /*  4539 */ "GPUTextureView" "\0"
  /*  4554 */ "GPUUncapturedErrorEvent" "\0"
  /*  4578 */ "GPUValidationError" "\0"
  /*  4597 */ "GainNode" "\0"
  /*  4606 */ "Gamepad" "\0"
  /*  4614 */ "GamepadAxisMoveEvent" "\0"
  /*  4635 */ "GamepadButton" "\0"
  /*  4649 */ "GamepadButtonEvent" "\0"
  /*  4668 */ "GamepadEvent" "\0"
  /*  4681 */ "GamepadHapticActuator" "\0"
  /*  4703 */ "GamepadLightIndicator" "\0"
  /*  4725 */ "GamepadPose" "\0"
  /*  4737 */ "GamepadServiceTest" "\0"
  /*  4756 */ "GamepadTouch" "\0"
  /*  4769 */ "Geolocation" "\0"
  /*  4781 */ "GeolocationCoordinates" "\0"
  /*  4804 */ "GeolocationPosition" "\0"
  /*  4824 */ "GeolocationPositionError" "\0"
  /*  4849 */ "GetUserMediaRequest" "\0"
  /*  4869 */ "GleanCategory" "\0"
  /*  4883 */ "GleanImpl" "\0"
  /*  4893 */ "GleanLabeled" "\0"
  /*  4906 */ "GleanPingsImpl" "\0"
  /*  4921 */ "Grid" "\0"
  /*  4926 */ "GridArea" "\0"
  /*  4935 */ "GridDimension" "\0"
  /*  4949 */ "GridLine" "\0"
  /*  4958 */ "GridLines" "\0"
  /*  4968 */ "GridTrack" "\0"
  /*  4978 */ "GridTracks" "\0"
  /*  4989 */ "HTMLAllCollection" "\0"
  /*  5007 */ "HTMLAnchorElement" "\0"
  /*  5025 */ "HTMLAreaElement" "\0"
  /*  5041 */ "HTMLAudioElement" "\0"
  /*  5058 */ "HTMLBRElement" "\0"
  /*  5072 */ "HTMLBaseElement" "\0"
  /*  5088 */ "HTMLBodyElement" "\0"
  /*  5104 */ "HTMLButtonElement" "\0"
  /*  5122 */ "HTMLCanvasElement" "\0"
  /*  5140 */ "HTMLCollection" "\0"
  /*  5155 */ "HTMLDListElement" "\0"
  /*  5172 */ "HTMLDataElement" "\0"
  /*  5188 */ "HTMLDataListElement" "\0"
  /*  5208 */ "HTMLDetailsElement" "\0"
  /*  5227 */ "HTMLDialogElement" "\0"
  /*  5245 */ "HTMLDirectoryElement" "\0"
  /*  5266 */ "HTMLDivElement" "\0"
  /*  5281 */ "HTMLDocument" "\0"
  /*  5294 */ "HTMLElement" "\0"
  /*  5306 */ "HTMLEmbedElement" "\0"
  /*  5323 */ "HTMLFieldSetElement" "\0"
  /*  5343 */ "HTMLFontElement" "\0"
  /*  5359 */ "HTMLFormControlsCollection" "\0"
  /*  5386 */ "HTMLFormElement" "\0"
  /*  5402 */ "HTMLFrameElement" "\0"
  /*  5419 */ "HTMLFrameSetElement" "\0"
  /*  5439 */ "HTMLHRElement" "\0"
  /*  5453 */ "HTMLHeadElement" "\0"
  /*  5469 */ "HTMLHeadingElement" "\0"
  /*  5488 */ "HTMLHtmlElement" "\0"
  /*  5504 */ "HTMLIFrameElement" "\0"
  /*  5522 */ "HTMLImageElement" "\0"
  /*  5539 */ "HTMLInputElement" "\0"
  /*  5556 */ "HTMLLIElement" "\0"
  /*  5570 */ "HTMLLabelElement" "\0"
  /*  5587 */ "HTMLLegendElement" "\0"
  /*  5605 */ "HTMLLinkElement" "\0"
  /*  5621 */ "HTMLMapElement" "\0"
  /*  5636 */ "HTMLMarqueeElement" "\0"
  /*  5655 */ "HTMLMediaElement" "\0"
  /*  5672 */ "HTMLMenuElement" "\0"
  /*  5688 */ "HTMLMetaElement" "\0"
  /*  5704 */ "HTMLMeterElement" "\0"
  /*  5721 */ "HTMLModElement" "\0"
  /*  5736 */ "HTMLOListElement" "\0"
  /*  5753 */ "HTMLObjectElement" "\0"
  /*  5771 */ "HTMLOptGroupElement" "\0"
  /*  5791 */ "HTMLOptionElement" "\0"
  /*  5809 */ "HTMLOptionsCollection" "\0"
  /*  5831 */ "HTMLOutputElement" "\0"
  /*  5849 */ "HTMLParagraphElement" "\0"
  /*  5870 */ "HTMLParamElement" "\0"
  /*  5887 */ "HTMLPictureElement" "\0"
  /*  5906 */ "HTMLPreElement" "\0"
  /*  5921 */ "HTMLProgressElement" "\0"
  /*  5941 */ "HTMLQuoteElement" "\0"
  /*  5958 */ "HTMLScriptElement" "\0"
  /*  5976 */ "HTMLSelectElement" "\0"
  /*  5994 */ "HTMLSlotElement" "\0"
  /*  6010 */ "HTMLSourceElement" "\0"
  /*  6028 */ "HTMLSpanElement" "\0"
  /*  6044 */ "HTMLStyleElement" "\0"
  /*  6061 */ "HTMLTableCaptionElement" "\0"
  /*  6085 */ "HTMLTableCellElement" "\0"
  /*  6106 */ "HTMLTableColElement" "\0"
  /*  6126 */ "HTMLTableElement" "\0"
  /*  6143 */ "HTMLTableRowElement" "\0"
  /*  6163 */ "HTMLTableSectionElement" "\0"
  /*  6187 */ "HTMLTemplateElement" "\0"
  /*  6207 */ "HTMLTextAreaElement" "\0"
  /*  6227 */ "HTMLTimeElement" "\0"
  /*  6243 */ "HTMLTitleElement" "\0"
  /*  6260 */ "HTMLTrackElement" "\0"
  /*  6277 */ "HTMLUListElement" "\0"
  /*  6294 */ "HTMLUnknownElement" "\0"
  /*  6313 */ "HTMLVideoElement" "\0"
  /*  6330 */ "HashChangeEvent" "\0"
  /*  6346 */ "Headers" "\0"
  /*  6354 */ "Headers Iterator" "\0"
  /*  6371 */ "HeapSnapshot" "\0"
  /*  6384 */ "Highlight" "\0"
  /*  6394 */ "HighlightRegistry" "\0"
  /*  6412 */ "History" "\0"
  /*  6420 */ "IDBCursor" "\0"
  /*  6430 */ "IDBCursorWithValue" "\0"
  /*  6449 */ "IDBDatabase" "\0"
  /*  6461 */ "IDBFactory" "\0"
  /*  6472 */ "IDBIndex" "\0"
  /*  6481 */ "IDBKeyRange" "\0"
  /*  6493 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6516 */ "IDBObjectStore" "\0"
  /*  6531 */ "IDBOpenDBRequest" "\0"
  /*  6548 */ "IDBRequest" "\0"
  /*  6559 */ "IDBTransaction" "\0"
  /*  6574 */ "IDBVersionChangeEvent" "\0"
  /*  6596 */ "IIRFilterNode" "\0"
  /*  6610 */ "IOUtils" "\0"
  /*  6618 */ "IdentityCredential" "\0"
  /*  6637 */ "IdleDeadline" "\0"
  /*  6650 */ "Image" "\0"
  /*  6656 */ "ImageBitmap" "\0"
  /*  6668 */ "ImageBitmapRenderingContext" "\0"
  /*  6696 */ "ImageCapture" "\0"
  /*  6709 */ "ImageCaptureError" "\0"
  /*  6727 */ "ImageCaptureErrorEvent" "\0"
  /*  6750 */ "ImageData" "\0"
  /*  6760 */ "ImageDocument" "\0"
  /*  6774 */ "InputEvent" "\0"
  /*  6785 */ "InspectorFontFace" "\0"
  /*  6803 */ "InspectorUtils" "\0"
  /*  6818 */ "InstallTriggerImpl" "\0"
  /*  6837 */ "IntersectionObserver" "\0"
  /*  6858 */ "IntersectionObserverEntry" "\0"
  /*  6884 */ "IntlUtils" "\0"
  /*  6894 */ "JSProcessActorChild" "\0"
  /*  6914 */ "JSProcessActorParent" "\0"
  /*  6935 */ "JSWindowActorChild" "\0"
  /*  6954 */ "JSWindowActorParent" "\0"
  /*  6974 */ "KeyEvent" "\0"
  /*  6983 */ "KeyboardEvent" "\0"
  /*  6997 */ "KeyframeEffect" "\0"
  /*  7012 */ "L10nFileSource" "\0"
  /*  7027 */ "L10nOverlays" "\0"
  /*  7040 */ "L10nRegistry" "\0"
  /*  7053 */ "LargestContentfulPaint" "\0"
  /*  7076 */ "LegacyMozTCPSocket" "\0"
  /*  7095 */ "Localization" "\0"
  /*  7108 */ "Location" "\0"
  /*  7117 */ "Lock" "\0"
  /*  7122 */ "LockManager" "\0"
  /*  7134 */ "MIDIAccess" "\0"
  /*  7145 */ "MIDIConnectionEvent" "\0"
  /*  7165 */ "MIDIInput" "\0"
  /*  7175 */ "MIDIInputMap" "\0"
  /*  7188 */ "MIDIMessageEvent" "\0"
  /*  7205 */ "MIDIOutput" "\0"
  /*  7216 */ "MIDIOutputMap" "\0"
  /*  7230 */ "MIDIPort" "\0"
  /*  7239 */ "MOZ_debug" "\0"
  /*  7249 */ "MatchGlob" "\0"
  /*  7259 */ "MatchPattern" "\0"
  /*  7272 */ "MatchPatternSet" "\0"
  /*  7288 */ "MathMLElement" "\0"
  /*  7302 */ "MediaCapabilities" "\0"
  /*  7320 */ "MediaCapabilitiesInfo" "\0"
  /*  7342 */ "MediaControlService" "\0"
  /*  7362 */ "MediaController" "\0"
  /*  7378 */ "MediaDeviceInfo" "\0"
  /*  7394 */ "MediaDevices" "\0"
  /*  7407 */ "MediaElementAudioSourceNode" "\0"
  /*  7435 */ "MediaEncryptedEvent" "\0"
  /*  7455 */ "MediaError" "\0"
  /*  7466 */ "MediaKeyError" "\0"
  /*  7480 */ "MediaKeyMessageEvent" "\0"
  /*  7501 */ "MediaKeySession" "\0"
  /*  7517 */ "MediaKeyStatusMap" "\0"
  /*  7535 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7562 */ "MediaKeySystemAccess" "\0"
  /*  7583 */ "MediaKeys" "\0"
  /*  7593 */ "MediaList" "\0"
  /*  7603 */ "MediaMetadata" "\0"
  /*  7617 */ "MediaQueryList" "\0"
  /*  7632 */ "MediaQueryListEvent" "\0"
  /*  7652 */ "MediaRecorder" "\0"
  /*  7666 */ "MediaRecorderErrorEvent" "\0"
  /*  7690 */ "MediaSession" "\0"
  /*  7703 */ "MediaSource" "\0"
  /*  7715 */ "MediaStream" "\0"
  /*  7727 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7759 */ "MediaStreamAudioSourceNode" "\0"
  /*  7786 */ "MediaStreamError" "\0"
  /*  7803 */ "MediaStreamEvent" "\0"
  /*  7820 */ "MediaStreamTrack" "\0"
  /*  7837 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7869 */ "MediaStreamTrackEvent" "\0"
  /*  7891 */ "MerchantValidationEvent" "\0"
  /*  7915 */ "MessageBroadcaster" "\0"
  /*  7934 */ "MessageChannel" "\0"
  /*  7949 */ "MessageEvent" "\0"
  /*  7962 */ "MessageListenerManager" "\0"
  /*  7985 */ "MessagePort" "\0"
  /*  7997 */ "MessageSender" "\0"
  /*  8011 */ "MimeType" "\0"
  /*  8020 */ "MimeTypeArray" "\0"
  /*  8034 */ "MouseEvent" "\0"
  /*  8045 */ "MouseScrollEvent" "\0"
  /*  8062 */ "MozCanvasPrintState" "\0"
  /*  8082 */ "MozDocumentMatcher" "\0"
  /*  8101 */ "MozDocumentObserver" "\0"
  /*  8121 */ "MozQueryInterface" "\0"
  /*  8139 */ "MozSharedMap" "\0"
  /*  8152 */ "MozSharedMap Iterator" "\0"
  /*  8174 */ "MozSharedMapChangeEvent" "\0"
  /*  8198 */ "MozStorageAsyncStatementParams" "\0"
  /*  8229 */ "MozStorageStatementParams" "\0"
  /*  8255 */ "MozStorageStatementRow" "\0"
  /*  8278 */ "MozWritableSharedMap" "\0"
  /*  8299 */ "MutationEvent" "\0"
  /*  8313 */ "MutationObserver" "\0"
  /*  8330 */ "MutationRecord" "\0"
  /*  8345 */ "NamedNodeMap" "\0"
  /*  8358 */ "NavigationPreloadManager" "\0"
  /*  8383 */ "Navigator" "\0"
  /*  8393 */ "NetworkInformation" "\0"
  /*  8412 */ "Node" "\0"
  /*  8417 */ "NodeFilter" "\0"
  /*  8428 */ "NodeIterator" "\0"
  /*  8441 */ "NodeList" "\0"
  /*  8450 */ "Notification" "\0"
  /*  8463 */ "NotificationEvent" "\0"
  /*  8481 */ "NotifyPaintEvent" "\0"
  /*  8498 */ "OES_draw_buffers_indexed" "\0"
  /*  8523 */ "OES_element_index_uint" "\0"
  /*  8546 */ "OES_fbo_render_mipmap" "\0"
  /*  8568 */ "OES_standard_derivatives" "\0"
  /*  8593 */ "OES_texture_float" "\0"
  /*  8611 */ "OES_texture_float_linear" "\0"
  /*  8636 */ "OES_texture_half_float" "\0"
  /*  8659 */ "OES_texture_half_float_linear" "\0"
  /*  8689 */ "OES_vertex_array_object" "\0"
  /*  8713 */ "OVR_multiview2" "\0"
  /*  8728 */ "OfflineAudioCompletionEvent" "\0"
  /*  8756 */ "OfflineAudioContext" "\0"
  /*  8776 */ "OfflineResourceList" "\0"
  /*  8796 */ "OffscreenCanvas" "\0"
  /*  8812 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8846 */ "Option" "\0"
  /*  8853 */ "OscillatorNode" "\0"
  /*  8868 */ "PageTransitionEvent" "\0"
  /*  8888 */ "PaintRequest" "\0"
  /*  8901 */ "PaintRequestList" "\0"
  /*  8918 */ "PaintWorkletGlobalScope" "\0"
  /*  8942 */ "PannerNode" "\0"
  /*  8953 */ "ParentProcessMessageManager" "\0"
  /*  8981 */ "Path2D" "\0"
  /*  8988 */ "PathUtils" "\0"
  /*  8998 */ "PaymentAddress" "\0"
  /*  9013 */ "PaymentMethodChangeEvent" "\0"
  /*  9038 */ "PaymentRequest" "\0"
  /*  9053 */ "PaymentRequestUpdateEvent" "\0"
  /*  9079 */ "PaymentResponse" "\0"
  /*  9095 */ "Performance" "\0"
  /*  9107 */ "PerformanceEntry" "\0"
  /*  9124 */ "PerformanceEntryEvent" "\0"
  /*  9146 */ "PerformanceEventTiming" "\0"
  /*  9169 */ "PerformanceMark" "\0"
  /*  9185 */ "PerformanceMeasure" "\0"
  /*  9204 */ "PerformanceNavigation" "\0"
  /*  9226 */ "PerformanceNavigationTiming" "\0"
  /*  9254 */ "PerformanceObserver" "\0"
  /*  9274 */ "PerformanceObserverEntryList" "\0"
  /*  9303 */ "PerformancePaintTiming" "\0"
  /*  9326 */ "PerformanceResourceTiming" "\0"
  /*  9352 */ "PerformanceServerTiming" "\0"
  /*  9376 */ "PerformanceTiming" "\0"
  /*  9394 */ "PeriodicWave" "\0"
  /*  9407 */ "PermissionStatus" "\0"
  /*  9424 */ "Permissions" "\0"
  /*  9436 */ "PlacesBookmark" "\0"
  /*  9451 */ "PlacesBookmarkAddition" "\0"
  /*  9474 */ "PlacesBookmarkChanged" "\0"
  /*  9496 */ "PlacesBookmarkGuid" "\0"
  /*  9515 */ "PlacesBookmarkKeyword" "\0"
  /*  9537 */ "PlacesBookmarkMoved" "\0"
  /*  9557 */ "PlacesBookmarkRemoved" "\0"
  /*  9579 */ "PlacesBookmarkTags" "\0"
  /*  9598 */ "PlacesBookmarkTime" "\0"
  /*  9617 */ "PlacesBookmarkTitle" "\0"
  /*  9637 */ "PlacesBookmarkUrl" "\0"
  /*  9655 */ "PlacesEvent" "\0"
  /*  9667 */ "PlacesFavicon" "\0"
  /*  9681 */ "PlacesHistoryCleared" "\0"
  /*  9702 */ "PlacesObservers" "\0"
  /*  9718 */ "PlacesPurgeCaches" "\0"
  /*  9736 */ "PlacesRanking" "\0"
  /*  9750 */ "PlacesVisit" "\0"
  /*  9762 */ "PlacesVisitRemoved" "\0"
  /*  9781 */ "PlacesVisitTitle" "\0"
  /*  9798 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9824 */ "Plugin" "\0"
  /*  9831 */ "PluginArray" "\0"
  /*  9843 */ "PluginCrashedEvent" "\0"
  /*  9862 */ "PointerEvent" "\0"
  /*  9875 */ "PopStateEvent" "\0"
  /*  9889 */ "PopupBlockedEvent" "\0"
  /*  9907 */ "PopupPositionedEvent" "\0"
  /*  9928 */ "PositionStateEvent" "\0"
  /*  9947 */ "PrecompiledScript" "\0"
  /*  9965 */ "ProcessMessageManager" "\0"
  /*  9987 */ "ProcessingInstruction" "\0"
  /* 10009 */ "ProgressEvent" "\0"
  /* 10023 */ "PromiseDebugging" "\0"
  /* 10040 */ "PromiseNativeHandler" "\0"
  /* 10061 */ "PromiseRejectionEvent" "\0"
  /* 10083 */ "PublicKeyCredential" "\0"
  /* 10103 */ "PushEvent" "\0"
  /* 10113 */ "PushManager" "\0"
  /* 10125 */ "PushManagerImpl" "\0"
  /* 10141 */ "PushMessageData" "\0"
  /* 10157 */ "PushSubscription" "\0"
  /* 10174 */ "PushSubscriptionOptions" "\0"
  /* 10198 */ "RadioNodeList" "\0"
  /* 10212 */ "Range" "\0"
  /* 10218 */ "ReadableByteStreamController" "\0"
  /* 10247 */ "ReadableStream" "\0"
  /* 10262 */ "ReadableStream AsyncIterator" "\0"
  /* 10291 */ "ReadableStreamBYOBReader" "\0"
  /* 10316 */ "ReadableStreamBYOBRequest" "\0"
  /* 10342 */ "ReadableStreamDefaultController" "\0"
  /* 10374 */ "ReadableStreamDefaultReader" "\0"
  /* 10402 */ "Report" "\0"
  /* 10409 */ "ReportBody" "\0"
  /* 10420 */ "ReportingObserver" "\0"
  /* 10438 */ "Request" "\0"
  /* 10446 */ "ResizeObserver" "\0"
  /* 10461 */ "ResizeObserverEntry" "\0"
  /* 10481 */ "ResizeObserverSize" "\0"
  /* 10500 */ "Response" "\0"
  /* 10509 */ "SVGAElement" "\0"
  /* 10521 */ "SVGAngle" "\0"
  /* 10530 */ "SVGAnimateElement" "\0"
  /* 10548 */ "SVGAnimateMotionElement" "\0"
  /* 10572 */ "SVGAnimateTransformElement" "\0"
  /* 10599 */ "SVGAnimatedAngle" "\0"
  /* 10616 */ "SVGAnimatedBoolean" "\0"
  /* 10635 */ "SVGAnimatedEnumeration" "\0"
  /* 10658 */ "SVGAnimatedInteger" "\0"
  /* 10677 */ "SVGAnimatedLength" "\0"
  /* 10695 */ "SVGAnimatedLengthList" "\0"
  /* 10717 */ "SVGAnimatedNumber" "\0"
  /* 10735 */ "SVGAnimatedNumberList" "\0"
  /* 10757 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10788 */ "SVGAnimatedRect" "\0"
  /* 10804 */ "SVGAnimatedString" "\0"
  /* 10822 */ "SVGAnimatedTransformList" "\0"
  /* 10847 */ "SVGAnimationElement" "\0"
  /* 10867 */ "SVGCircleElement" "\0"
  /* 10884 */ "SVGClipPathElement" "\0"
  /* 10903 */ "SVGComponentTransferFunctionElement" "\0"
  /* 10939 */ "SVGDefsElement" "\0"
  /* 10954 */ "SVGDescElement" "\0"
  /* 10969 */ "SVGElement" "\0"
  /* 10980 */ "SVGEllipseElement" "\0"
  /* 10998 */ "SVGFEBlendElement" "\0"
  /* 11016 */ "SVGFEColorMatrixElement" "\0"
  /* 11040 */ "SVGFEComponentTransferElement" "\0"
  /* 11070 */ "SVGFECompositeElement" "\0"
  /* 11092 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11119 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11147 */ "SVGFEDisplacementMapElement" "\0"
  /* 11175 */ "SVGFEDistantLightElement" "\0"
  /* 11200 */ "SVGFEDropShadowElement" "\0"
  /* 11223 */ "SVGFEFloodElement" "\0"
  /* 11241 */ "SVGFEFuncAElement" "\0"
  /* 11259 */ "SVGFEFuncBElement" "\0"
  /* 11277 */ "SVGFEFuncGElement" "\0"
  /* 11295 */ "SVGFEFuncRElement" "\0"
  /* 11313 */ "SVGFEGaussianBlurElement" "\0"
  /* 11338 */ "SVGFEImageElement" "\0"
  /* 11356 */ "SVGFEMergeElement" "\0"
  /* 11374 */ "SVGFEMergeNodeElement" "\0"
  /* 11396 */ "SVGFEMorphologyElement" "\0"
  /* 11419 */ "SVGFEOffsetElement" "\0"
  /* 11438 */ "SVGFEPointLightElement" "\0"
  /* 11461 */ "SVGFESpecularLightingElement" "\0"
  /* 11490 */ "SVGFESpotLightElement" "\0"
  /* 11512 */ "SVGFETileElement" "\0"
  /* 11529 */ "SVGFETurbulenceElement" "\0"
  /* 11552 */ "SVGFilterElement" "\0"
  /* 11569 */ "SVGForeignObjectElement" "\0"
  /* 11593 */ "SVGGElement" "\0"
  /* 11605 */ "SVGGeometryElement" "\0"
  /* 11624 */ "SVGGradientElement" "\0"
  /* 11643 */ "SVGGraphicsElement" "\0"
  /* 11662 */ "SVGImageElement" "\0"
  /* 11678 */ "SVGLength" "\0"
  /* 11688 */ "SVGLengthList" "\0"
  /* 11702 */ "SVGLineElement" "\0"
  /* 11717 */ "SVGLinearGradientElement" "\0"
  /* 11742 */ "SVGMPathElement" "\0"
  /* 11758 */ "SVGMarkerElement" "\0"
  /* 11775 */ "SVGMaskElement" "\0"
  /* 11790 */ "SVGMatrix" "\0"
  /* 11800 */ "SVGMetadataElement" "\0"
  /* 11819 */ "SVGNumber" "\0"
  /* 11829 */ "SVGNumberList" "\0"
  /* 11843 */ "SVGPathElement" "\0"
  /* 11858 */ "SVGPathSeg" "\0"
  /* 11869 */ "SVGPathSegArcAbs" "\0"
  /* 11886 */ "SVGPathSegArcRel" "\0"
  /* 11903 */ "SVGPathSegClosePath" "\0"
  /* 11923 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 11949 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 11975 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12007 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12039 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12069 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12099 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12135 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12171 */ "SVGPathSegLinetoAbs" "\0"
  /* 12191 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12221 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12251 */ "SVGPathSegLinetoRel" "\0"
  /* 12271 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12299 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12327 */ "SVGPathSegList" "\0"
  /* 12342 */ "SVGPathSegMovetoAbs" "\0"
  /* 12362 */ "SVGPathSegMovetoRel" "\0"
  /* 12382 */ "SVGPatternElement" "\0"
  /* 12400 */ "SVGPoint" "\0"
  /* 12409 */ "SVGPointList" "\0"
  /* 12422 */ "SVGPolygonElement" "\0"
  /* 12440 */ "SVGPolylineElement" "\0"
  /* 12459 */ "SVGPreserveAspectRatio" "\0"
  /* 12482 */ "SVGRadialGradientElement" "\0"
  /* 12507 */ "SVGRect" "\0"
  /* 12515 */ "SVGRectElement" "\0"
  /* 12530 */ "SVGSVGElement" "\0"
  /* 12544 */ "SVGScriptElement" "\0"
  /* 12561 */ "SVGSetElement" "\0"
  /* 12575 */ "SVGStopElement" "\0"
  /* 12590 */ "SVGStringList" "\0"
  /* 12604 */ "SVGStyleElement" "\0"
  /* 12620 */ "SVGSwitchElement" "\0"
  /* 12637 */ "SVGSymbolElement" "\0"
  /* 12654 */ "SVGTSpanElement" "\0"
  /* 12670 */ "SVGTextContentElement" "\0"
  /* 12692 */ "SVGTextElement" "\0"
  /* 12707 */ "SVGTextPathElement" "\0"
  /* 12726 */ "SVGTextPositioningElement" "\0"
  /* 12752 */ "SVGTitleElement" "\0"
  /* 12768 */ "SVGTransform" "\0"
  /* 12781 */ "SVGTransformList" "\0"
  /* 12798 */ "SVGUnitTypes" "\0"
  /* 12811 */ "SVGUseElement" "\0"
  /* 12825 */ "SVGViewElement" "\0"
  /* 12840 */ "Sanitizer" "\0"
  /* 12850 */ "Scheduler" "\0"
  /* 12860 */ "Screen" "\0"
  /* 12867 */ "ScreenLuminance" "\0"
  /* 12883 */ "ScreenOrientation" "\0"
  /* 12901 */ "ScriptProcessorNode" "\0"
  /* 12921 */ "ScrollAreaEvent" "\0"
  /* 12937 */ "ScrollViewChangeEvent" "\0"
  /* 12959 */ "SecurityPolicyViolationEvent" "\0"
  /* 12988 */ "Selection" "\0"
  /* 12998 */ "ServiceWorker" "\0"
  /* 13012 */ "ServiceWorkerContainer" "\0"
  /* 13035 */ "ServiceWorkerGlobalScope" "\0"
  /* 13060 */ "ServiceWorkerRegistration" "\0"
  /* 13086 */ "SessionStoreFormData" "\0"
  /* 13107 */ "SessionStoreScrollData" "\0"
  /* 13130 */ "SessionStoreUtils" "\0"
  /* 13148 */ "ShadowRealmGlobalScope" "\0"
  /* 13171 */ "ShadowRoot" "\0"
  /* 13182 */ "SharedWorker" "\0"
  /* 13195 */ "SharedWorkerGlobalScope" "\0"
  /* 13219 */ "SimpleGestureEvent" "\0"
  /* 13238 */ "SourceBuffer" "\0"
  /* 13251 */ "SourceBufferList" "\0"
  /* 13268 */ "SpeechGrammar" "\0"
  /* 13282 */ "SpeechGrammarList" "\0"
  /* 13300 */ "SpeechRecognition" "\0"
  /* 13318 */ "SpeechRecognitionAlternative" "\0"
  /* 13347 */ "SpeechRecognitionError" "\0"
  /* 13370 */ "SpeechRecognitionEvent" "\0"
  /* 13393 */ "SpeechRecognitionResult" "\0"
  /* 13417 */ "SpeechRecognitionResultList" "\0"
  /* 13445 */ "SpeechSynthesis" "\0"
  /* 13461 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13487 */ "SpeechSynthesisEvent" "\0"
  /* 13508 */ "SpeechSynthesisUtterance" "\0"
  /* 13533 */ "SpeechSynthesisVoice" "\0"
  /* 13554 */ "StaticRange" "\0"
  /* 13566 */ "StereoPannerNode" "\0"
  /* 13583 */ "Storage" "\0"
  /* 13591 */ "StorageEvent" "\0"
  /* 13604 */ "StorageManager" "\0"
  /* 13619 */ "StreamFilter" "\0"
  /* 13632 */ "StreamFilterDataEvent" "\0"
  /* 13654 */ "StructuredCloneHolder" "\0"
  /* 13676 */ "StructuredCloneTester" "\0"
  /* 13698 */ "StyleSheet" "\0"
  /* 13709 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13746 */ "StyleSheetList" "\0"
  /* 13761 */ "SubmitEvent" "\0"
  /* 13773 */ "SubtleCrypto" "\0"
  /* 13786 */ "SyncMessageSender" "\0"
  /* 13804 */ "SyncReadFile" "\0"
  /* 13817 */ "TCPServerSocket" "\0"
  /* 13833 */ "TCPServerSocketEvent" "\0"
  /* 13854 */ "TCPSocket" "\0"
  /* 13864 */ "TCPSocketErrorEvent" "\0"
  /* 13884 */ "TCPSocketEvent" "\0"
  /* 13899 */ "TaskController" "\0"
  /* 13914 */ "TaskPriorityChangeEvent" "\0"
  /* 13938 */ "TaskSignal" "\0"
  /* 13949 */ "TelemetryStopwatch" "\0"
  /* 13968 */ "TestUtils" "\0"
  /* 13978 */ "TestingDeprecatedInterface" "\0"
  /* 14005 */ "Text" "\0"
  /* 14010 */ "TextClause" "\0"
  /* 14021 */ "TextDecoder" "\0"
  /* 14033 */ "TextDecoderStream" "\0"
  /* 14051 */ "TextEncoder" "\0"
  /* 14063 */ "TextEncoderStream" "\0"
  /* 14081 */ "TextMetrics" "\0"
  /* 14093 */ "TextTrack" "\0"
  /* 14103 */ "TextTrackCue" "\0"
  /* 14116 */ "TextTrackCueList" "\0"
  /* 14133 */ "TextTrackList" "\0"
  /* 14147 */ "TimeEvent" "\0"
  /* 14157 */ "TimeRanges" "\0"
  /* 14168 */ "ToggleEvent" "\0"
  /* 14180 */ "Touch" "\0"
  /* 14186 */ "TouchEvent" "\0"
  /* 14197 */ "TouchList" "\0"
  /* 14207 */ "TrackEvent" "\0"
  /* 14218 */ "TransformStream" "\0"
  /* 14234 */ "TransformStreamDefaultController" "\0"
  /* 14267 */ "TransitionEvent" "\0"
  /* 14283 */ "TreeColumn" "\0"
  /* 14294 */ "TreeColumns" "\0"
  /* 14306 */ "TreeContentView" "\0"
  /* 14322 */ "TreeWalker" "\0"
  /* 14333 */ "UDPMessageEvent" "\0"
  /* 14349 */ "UDPSocket" "\0"
  /* 14359 */ "UIEvent" "\0"
  /* 14367 */ "URL" "\0"
  /* 14371 */ "URLSearchParams" "\0"
  /* 14387 */ "URLSearchParams Iterator" "\0"
  /* 14412 */ "UniFFIPointer" "\0"
  /* 14426 */ "UniFFIScaffolding" "\0"
  /* 14444 */ "UserInteraction" "\0"
  /* 14460 */ "UserProximityEvent" "\0"
  /* 14479 */ "VRDisplay" "\0"
  /* 14489 */ "VRDisplayCapabilities" "\0"
  /* 14511 */ "VRDisplayEvent" "\0"
  /* 14526 */ "VREyeParameters" "\0"
  /* 14542 */ "VRFieldOfView" "\0"
  /* 14556 */ "VRFrameData" "\0"
  /* 14568 */ "VRMockController" "\0"
  /* 14585 */ "VRMockDisplay" "\0"
  /* 14599 */ "VRPose" "\0"
  /* 14606 */ "VRServiceTest" "\0"
  /* 14620 */ "VRStageParameters" "\0"
  /* 14638 */ "VTTCue" "\0"
  /* 14645 */ "VTTRegion" "\0"
  /* 14655 */ "ValidityState" "\0"
  /* 14669 */ "VideoColorSpace" "\0"
  /* 14685 */ "VideoFrame" "\0"
  /* 14696 */ "VideoPlaybackQuality" "\0"
  /* 14717 */ "VideoTrack" "\0"
  /* 14728 */ "VideoTrackList" "\0"
  /* 14743 */ "VisualViewport" "\0"
  /* 14758 */ "WEBGL_color_buffer_float" "\0"
  /* 14783 */ "WEBGL_compressed_texture_astc" "\0"
  /* 14813 */ "WEBGL_compressed_texture_etc" "\0"
  /* 14842 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 14872 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 14903 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 14933 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 14968 */ "WEBGL_debug_renderer_info" "\0"
  /* 14994 */ "WEBGL_debug_shaders" "\0"
  /* 15014 */ "WEBGL_depth_texture" "\0"
  /* 15034 */ "WEBGL_draw_buffers" "\0"
  /* 15053 */ "WEBGL_explicit_present" "\0"
  /* 15076 */ "WEBGL_lose_context" "\0"
  /* 15095 */ "WEBGL_provoking_vertex" "\0"
  /* 15118 */ "WaveShaperNode" "\0"
  /* 15133 */ "WebExtensionContentScript" "\0"
  /* 15159 */ "WebExtensionPolicy" "\0"
  /* 15178 */ "WebGL2RenderingContext" "\0"
  /* 15201 */ "WebGLActiveInfo" "\0"
  /* 15217 */ "WebGLBuffer" "\0"
  /* 15229 */ "WebGLContextEvent" "\0"
  /* 15247 */ "WebGLFramebuffer" "\0"
  /* 15264 */ "WebGLProgram" "\0"
  /* 15277 */ "WebGLQuery" "\0"
  /* 15288 */ "WebGLRenderbuffer" "\0"
  /* 15306 */ "WebGLRenderingContext" "\0"
  /* 15328 */ "WebGLSampler" "\0"
  /* 15341 */ "WebGLShader" "\0"
  /* 15353 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15380 */ "WebGLSync" "\0"
  /* 15390 */ "WebGLTexture" "\0"
  /* 15403 */ "WebGLTransformFeedback" "\0"
  /* 15426 */ "WebGLUniformLocation" "\0"
  /* 15447 */ "WebGLVertexArrayObject" "\0"
  /* 15470 */ "WebKitCSSMatrix" "\0"
  /* 15486 */ "WebSocket" "\0"
  /* 15496 */ "WebTransport" "\0"
  /* 15509 */ "WebTransportBidirectionalStream" "\0"
  /* 15541 */ "WebTransportDatagramDuplexStream" "\0"
  /* 15574 */ "WebTransportError" "\0"
  /* 15592 */ "WebTransportReceiveStream" "\0"
  /* 15618 */ "WebTransportSendStream" "\0"
  /* 15641 */ "WheelEvent" "\0"
  /* 15652 */ "Window" "\0"
  /* 15659 */ "WindowClient" "\0"
  /* 15672 */ "WindowContext" "\0"
  /* 15686 */ "WindowGlobalChild" "\0"
  /* 15704 */ "WindowGlobalParent" "\0"
  /* 15723 */ "WindowRoot" "\0"
  /* 15734 */ "Worker" "\0"
  /* 15741 */ "WorkerDebuggerGlobalScope" "\0"
  /* 15767 */ "WorkerGlobalScope" "\0"
  /* 15785 */ "WorkerLocation" "\0"
  /* 15800 */ "WorkerNavigator" "\0"
  /* 15816 */ "WorkerTestUtils" "\0"
  /* 15832 */ "Worklet" "\0"
  /* 15840 */ "WorkletGlobalScope" "\0"
  /* 15859 */ "WritableStream" "\0"
  /* 15874 */ "WritableStreamDefaultController" "\0"
  /* 15906 */ "WritableStreamDefaultWriter" "\0"
  /* 15934 */ "XMLDocument" "\0"
  /* 15946 */ "XMLHttpRequest" "\0"
  /* 15961 */ "XMLHttpRequestEventTarget" "\0"
  /* 15987 */ "XMLHttpRequestUpload" "\0"
  /* 16008 */ "XMLSerializer" "\0"
  /* 16022 */ "XPathEvaluator" "\0"
  /* 16037 */ "XPathExpression" "\0"
  /* 16053 */ "XPathResult" "\0"
  /* 16065 */ "XRBoundedReferenceSpace" "\0"
  /* 16089 */ "XRFrame" "\0"
  /* 16097 */ "XRInputSource" "\0"
  /* 16111 */ "XRInputSourceArray" "\0"
  /* 16130 */ "XRInputSourceEvent" "\0"
  /* 16149 */ "XRInputSourcesChangeEvent" "\0"
  /* 16175 */ "XRPose" "\0"
  /* 16182 */ "XRReferenceSpace" "\0"
  /* 16199 */ "XRReferenceSpaceEvent" "\0"
  /* 16221 */ "XRRenderState" "\0"
  /* 16235 */ "XRRigidTransform" "\0"
  /* 16252 */ "XRSession" "\0"
  /* 16262 */ "XRSessionEvent" "\0"
  /* 16277 */ "XRSpace" "\0"
  /* 16285 */ "XRSystem" "\0"
  /* 16294 */ "XRView" "\0"
  /* 16301 */ "XRViewerPose" "\0"
  /* 16314 */ "XRViewport" "\0"
  /* 16325 */ "XRWebGLLayer" "\0"
  /* 16338 */ "XSLTProcessor" "\0"
  /* 16352 */ "XULCommandEvent" "\0"
  /* 16368 */ "XULElement" "\0"
  /* 16379 */ "XULFrameElement" "\0"
  /* 16395 */ "XULMenuElement" "\0"
  /* 16410 */ "XULPopupElement" "\0"
  /* 16426 */ "XULResizerElement" "\0"
  /* 16444 */ "XULTextElement" "\0"
  /* 16459 */ "XULTreeElement" "\0"
  /* 16474 */ "console" "\0"
  /* 16482 */ "webkitSpeechGrammar" "\0"
  /* 16502 */ "webkitSpeechGrammarList" "\0"
  /* 16526 */ "webkitSpeechRecognition" "\0"
  /* 16550 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

